PAR::StrippedPARL::Static(3)

NAME
PAR::StrippedPARL::Static - Data package containing a static PARL

SYNOPSIS
  # For details, see PAR::StrippedPARL::Base.
  PAR::StrippedPARL::Static->write_parl($file) or die "Some error...";

DESCRIPTION
This class is internal to PAR. Do not use it outside of PAR.

This class is basically just a container for a static binary PAR loader which doesn't include the PAR code like the parl or parl.exe you are used to. If you're really curious, I'll tell you it is just a copy of the myldr/static (or myldr/static.exe) file.

The data is appended during the "make" phase of the PAR build process.

If the binary data isn't appended during the build process, the class methods will return the empty list.

CLASS METHODS
Inherits the methods from PAR::StrippedPARL::Base.

AUTHORS
Steffen Mueller <smueller@cpan.org>, Audrey Tang <cpan@audreyt.org>

COPYRIGHT AND LICENSE
Copyright 2006-2009 by Steffen Mueller <smueller@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <http://www.perl.com/perl/misc/Artistic.html>